summaryrefslogtreecommitdiff
path: root/tests/confh.test
diff options
context:
space:
mode:
authorTom Tromey <tromey@redhat.com>1999-01-11 10:42:58 +0000
committerTom Tromey <tromey@redhat.com>1999-01-11 10:42:58 +0000
commit57ecbdc3b30e1ee07cb9edde2b18fa99d4797ecd (patch)
treebe6dfc12d4ec5728b60e294c5acb7e4cafd8d708 /tests/confh.test
parent40032c1cc10cdfa12ef8923914825fa34a6eb831 (diff)
downloadautomake-57ecbdc3b30e1ee07cb9edde2b18fa99d4797ecd.tar.gz
Forgot to add confh.test
Diffstat (limited to 'tests/confh.test')
-rwxr-xr-xtests/confh.test31
1 files changed, 31 insertions, 0 deletions
diff --git a/tests/confh.test b/tests/confh.test
new file mode 100755
index 000000000..d07616051
--- /dev/null
+++ b/tests/confh.test
@@ -0,0 +1,31 @@
+#! /bin/sh
+
+# Test to make sure config.h works in a subdir.
+# Report from Alexandre Oliva.
+
+. $srcdir/defs || exit 1
+
+cat > configure.in << 'END'
+PACKAGE=nonesuch
+VERSION=nonesuch
+AC_ARG_PROGRAM
+AC_PROG_INSTALL
+AM_CONFIG_HEADER(include/config.h)
+AC_OUTPUT(Makefile)
+END
+
+: > Makefile.am
+: > acconfig.h
+
+mkdir include
+: > include/config.h.in
+
+$AUTOMAKE || exit 1
+
+grep '^DIST_COMMON =.* acconfig.h' Makefile.in || exit 1
+grep 'stamp-h.in:.*acconfig.h' Makefile.in || exit 1
+
+# Make sure re-running automake generates same Makefile.in.
+mv Makefile.in save
+$AUTOMAKE || exit 1
+cmp Makefile.in save